Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWidgetItem Class Reference

The QWidgetItem class is a layout item that represents a widget. More...

    #include <QWidgetItem>

Inherits QLayoutItem.

- List of all members, including inherited members

### Public Functions

- QWidgetItem ( QWidget * w )
- virtual QSizePolicy::ExpandData expanding () const
- virtual bool isEmpty () const
- virtual QSize maximumSize () const
- virtual QSize minimumSize () const
- virtual void setGeometry ( const QRect & r )
- virtual QSize sizeHint () const
- virtual QWidget * widget ()

- 16 public functions inherited from QLayoutItem

## Detailed Description

The QWidgetItem class is a layout item that represents a widget.

This is used by custom layouts.

See also QLayout and QLayout::widget().

## Member Function Documentation

### QWidgetItem::QWidgetItem ( QWidget * w )

Creates an item containing widget w.

### QSizePolicy::ExpandData QWidgetItem::expanding () const `[virtual]`

Returns whether this item's widget can make use of more space than sizeHint(). A value of `Qt::Vertical` or `Qt::Horizontal` means that it wants to grow in only one dimension, whereas `BothDirections` means that it wants to grow in both dimensions and `NoDirection` means that it doesn't want to grow at all.

Reimplemented from QLayoutItem.

### bool QWidgetItem::isEmpty () const `[virtual]`

Returns true if the widget has been hidden; otherwise returns false.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::maximumSize () const `[virtual]`

Returns the maximum size of this item.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::minimumSize () const `[virtual]`

Returns the minimum size of this item.

Reimplemented from QLayoutItem.

### void QWidgetItem::setGeometry ( const QRect & r ) `[virtual]`

Sets the geometry of this item's widget to be contained within rect r, taking alignment and maximum size into account.

Reimplemented from QLayoutItem.

### QSize QWidgetItem::sizeHint () const `[virtual]`

Returns the preferred size of this item.

Reimplemented from QLayoutItem.

### QWidget * QWidgetItem::widget () `[virtual]`

Returns the widget managed by this item.

Reimplemented from QLayoutItem.